<script setup lang="ts">
import type { Product } from '@/types/Products';

import ProductCard from './ProductCard.vue';
const props = defineProps<{
  products: Product[]
}>()

const emit = defineEmits<{
    selectedProduct: [Product] // selectedProduct(Product p)
}>()


function selected(p: Product){
    console.log('ProductList' + p)
    emit('selectedProduct', p)
}


</script>
<template>
   <div style="height: 600px; overflow-y: auto;">
        <v-container>
            <v-row>
                <v-col cols="12" md="4" v-for="item of products " :key="item.id">
                    <ProductCard :product="item" @selected-product="selected"></ProductCard>
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>